.dark-mode {
    background-color: black;
    color: white;
}

.light-mode {
    background-color: white;
    color: black;
}

.tab input[type=text] {
    padding: 6px;
    border: none;
    width: 150px;
}

/* Style the tab */
.tab {
    overflow: hidden;
    border-top: 1px solid #D1D0CE;
    border-bottom: 1px solid #D1D0CE;
}

/* Style the buttons inside the tab */
.tab button {
    float: left;
    border: none;
    outline: none;
    padding: 14px 16px;
    margin-left: 5px;
    transition: 0.3s;
}

/* Change background color of buttons on hover */
.tab button:hover {
    color: #ddd;
}

.wrap {
    display: flex;
    background: #ccc;
    width: 100%;
    justify-content: space-between;
    padding-top: 5px;
    padding-right: 5px;
    padding-bottom: 5px;
    padding-left: 5px;
}

.wrap div {
    text-align: center;
    margin-right: 10px;

}

.margin div:last-child {
    margin-left: auto;
}

.grow div:nth-child(2) {
    flex: 1;
}

.result {
    background: #ccc;
    margin-top: 20px;
}

.result:after {
    content: '';
    display: table;
    clear: both;
}

.result div {
    float: left;
}

.result div:last-child {
    float: right;
}


/* Style the tab content */
.tabcontent {
    display: none;
    padding: 6px 12px;
    -webkit-animation: fadeEffect 1s;
    animation: fadeEffect 1s;
}

/* Fade in tabs */
@-webkit-keyframes fadeEffect {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeEffect {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.buttonGreen {
    background-color: #4CAF50;
    /* Green */
}

.buttonRed {
    background-color: #f44336;
}

.alignLeft {
    text-align: left;
}

/* Red */

.leftMinMargin {
    margin-left: 5px;
}

.BottomMinMargin {
    margin-bottom: 5px;
}

.RightMinMargin {
    margin-right: 5px;
}

.TopMinMargin {
    margin-right: 5px;
}

table {
    border-collapse: collapse;
    overflow: scroll;
    border: 1px solid #ccc; /* border only around the table */
    border-left:thin solid rgb(14, 13, 13);
    border-right:thin solid rgb(14, 13, 13);
}

td {
    border: 1px;
    text-align: center;
    padding: 3px;
}

th {
    border-top: thin solid rgb(14, 13, 13);
    border-bottom: thin solid rgb(14, 13, 13);
    border-left: none;
    border-right: none;
    text-align: center;
    padding: 3px;
}

.chartcontainer {
    display: flex;
    width: 100%;
}

.chart1,
.chart2 {
    width: 100%;
    border: thin solid rgb(14, 13, 13);
    padding-left: 2px;
    padding-right: 2px;
    padding-bottom: 10px;
}

.collapsible {
    background-color: rgb(236, 236, 198);
    cursor: pointer;
    padding: 18px;
    border: none;
    text-align: left;
    outline: none;
}

.content {
    padding: 0 18px;
    display: none;
    overflow: auto;
}

.float-container {
    border: 3px solid #fff;
}

.float-child {
    float: left;
}

.wrapSB {
    display: flex;
    flex-direction: row;
}

.sb_positions {
    flex-grow: 1;
    width: 60%;
}

.sb_chart {
    width: 40%;
}

canvas {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

table {
    border-collapse: collapse;
}

td {
    border-left: none;
    border-right: none;
    border-bottom: 1pt solid #2b2a2a;
}

th {
    border-left: none;
    border-right: none;
}

.nogrid td {
    border-left: none;
    border-right: none;
    border-bottom: none;
    border-top: none;
    padding-top: 0.5px;
    padding-bottom: 0.5px;
}

.nogrid th {
    border-left: none;
    border-right: none;
    border-bottom: none;
    border-top: none;
    padding-left: 2px;
    padding-right: 2px;
    padding-top: 0.5px;
    padding-bottom: 0.5px;
}

.frac {
    display: inline-block;
    position: relative;
    vertical-align: middle;
    letter-spacing: 0.001em;
    text-align: center;
    font-size: 12px;
}

.frac>span {
    display: block;
    padding: 0.1em;
}

.frac span.bottom {
    border-top: thin solid black;
}

.frac span.symbol {
    display: none;
}

.logsTbl td {
    text-align: left;
}

button {
    background-color: #4A90E2;  /* soft blue */
    padding: 6px 12px;
    border-radius: 6px;
    font-size: 16px;
    color: #ffffff;             /* white text */
    border: 2px solid #2C3E50;  /* dark blue border */
}

button:hover {
    background-color: rgb(89, 35, 240);
}

select {
    box-sizing: border-box;
    border: 2px solid;
    border-radius: 4px;
    padding: 3px 5px 3px 5px;
    border-radius: 2px;
}

input[type=text] {
    box-sizing: border-box;
    border: 2px solid;
    border-radius: 4px;
    padding: 3px 5px 3px 5px;
    border-radius: 2px;
}

input[type=password] {
    box-sizing: border-box;
    border: 2px solid;
    border-radius: 4px;
    padding: 3px 5px 3px 5px;
    border-radius: 2px;
}


input[type=number] {
    box-sizing: border-box;
    border: 2px solid;
    border-radius: 4px;
    padding: 3px 5px 3px 5px;
    border-radius: 2px;
}

.calculator {
    float: left;
    width: 15%;
}

.column1 {
    float: left;
    width: 35%;
}

.column2 {
    float: right;
    width: 65%;
}

.column3 {
    float: left;
    padding: 10px;
    width: auto;
}

.column4 {
    float: left;
    padding: 10px;
    width: 48%;
}

.column5 {
    float: right;
    padding: 10px;
    width: 48%;
}

.column6 {
    float: left;
    width: 25%;
}

.column7 {
    float: right;
    width: 75%;
}

.loginLogout {
    float: right;
    width: 10%;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}

input {
    outline: 0;
    border-width: 0 0 2px;
    border-color: black;
}

input:focus {
    border-color: black;
}

@media only screen and (max-device-width: 480px) {
    .column1 {
        float: left;
        width: 100%;
    }

    .column2 {
        float: none;
        width: 100%;
    }

    .column6 {
        float: left;
        width: 100%;
    }

    .column7 {
        float: none;
        width: 100%;
    }

    .mobileRow1 {
        border-bottom: 1px solid black;
        display: inline-block;
        margin-bottom: 5px;
    }

    .loginLogout {
        float: right;
        width: 50%;
    }

    .calculator {
        display: none;
    }

    .wrapSB {
        display: flex;
        flex-direction: column;
    }

    .sb_positions {
        flex-grow: 1;
        width: 100%;
    }

    .sb_chart {
        width: 100%;
    }

}

.row {
    margin: 10px;
}